OI Payments Docs
API ReferenceAdmin Webhook Endpoints

Update

PATCH
/api/v1/admin/apps/{id}/webhook-endpoints/{endpointId}

Authorization

AdminSession
AuthorizationBearer <token>

Admin session token returned by POST /auth/login, sent as 'Authorization: Bearer '.

In: header

Path Parameters

id*integer
endpointId*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PATCH "https://example.com/api/v1/admin/apps/0/webhook-endpoints/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 0,
    "applicationId": 0,
    "mode": "string",
    "url": "string",
    "description": "string",
    "status": "string",
    "subscribeAllEvents": true,
    "subscribedEventTypes": [
      "string"
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}